Skip to content
Start here

Get reclassify submissions

client.emailSecurity.submissions.list(SubmissionListParams { account_id, customer_status, end, 10 more } params, RequestOptionsoptions?): V4PagePaginationArray<SubmissionListResponse { requested_ts, submission_id, customer_status, 15 more } >
GET/accounts/{account_id}/email-security/submissions

This endpoint returns information for submissions to made to reclassify emails.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: SubmissionListParams { account_id, customer_status, end, 10 more }
account_id: string

Path param: Account Identifier

maxLength32
minLength32
customer_status?: "escalated" | "reviewed" | "unreviewed"

Query param

One of the following:
"escalated"
"reviewed"
"unreviewed"
end?: string

Query param: The end of the search date range. Defaults to now if not provided.

formatdate-time
original_disposition?: "MALICIOUS" | "SUSPICIOUS" | "SPOOF" | 3 more

Query param

One of the following:
"MALICIOUS"
"SUSPICIOUS"
"SPOOF"
"SPAM"
"BULK"
"NONE"
outcome_disposition?: "MALICIOUS" | "SUSPICIOUS" | "SPOOF" | 3 more

Query param

One of the following:
"MALICIOUS"
"SUSPICIOUS"
"SPOOF"
"SPAM"
"BULK"
"NONE"
page?: number

Query param: The page number of paginated results.

formatint32
minimum1
per_page?: number

Query param: The number of results per page.

formatint32
minimum1
query?: string | null

Query param

requested_disposition?: "MALICIOUS" | "SUSPICIOUS" | "SPOOF" | 3 more

Query param

One of the following:
"MALICIOUS"
"SUSPICIOUS"
"SPOOF"
"SPAM"
"BULK"
"NONE"
start?: string

Query param: The beginning of the search date range. Defaults to now - 30 days if not provided.

formatdate-time
status?: string

Query param

submission_id?: string

Query param

type?: "TEAM" | "USER"

Query param

One of the following:
"TEAM"
"USER"
ReturnsExpand Collapse
SubmissionListResponse { requested_ts, submission_id, customer_status, 15 more }
Deprecatedrequested_ts: string

deprecated as of 2026-04-01, use requested_at instead.

formatdate-time
submission_id: string
customer_status?: "escalated" | "reviewed" | "unreviewed" | null
One of the following:
"escalated"
"reviewed"
"unreviewed"
escalated_as?: "MALICIOUS" | "MALICIOUS-BEC" | "SUSPICIOUS" | 7 more | null
One of the following:
"MALICIOUS"
"MALICIOUS-BEC"
"SUSPICIOUS"
"SPOOF"
"SPAM"
"BULK"
"ENCRYPTED"
"EXTERNAL"
"UNKNOWN"
"NONE"
escalated_at?: string | null
formatdate-time
escalated_by?: string | null
escalated_submission_id?: string | null
original_disposition?: "MALICIOUS" | "MALICIOUS-BEC" | "SUSPICIOUS" | 7 more | null
One of the following:
"MALICIOUS"
"MALICIOUS-BEC"
"SUSPICIOUS"
"SPOOF"
"SPAM"
"BULK"
"ENCRYPTED"
"EXTERNAL"
"UNKNOWN"
"NONE"
original_edf_hash?: string | null
original_postfix_id?: string | null
outcome?: string | null
outcome_disposition?: "MALICIOUS" | "MALICIOUS-BEC" | "SUSPICIOUS" | 7 more | null
One of the following:
"MALICIOUS"
"MALICIOUS-BEC"
"SUSPICIOUS"
"SPOOF"
"SPAM"
"BULK"
"ENCRYPTED"
"EXTERNAL"
"UNKNOWN"
"NONE"
requested_at?: string | null
formatdate-time
requested_by?: string | null
requested_disposition?: "MALICIOUS" | "MALICIOUS-BEC" | "SUSPICIOUS" | 7 more | null
One of the following:
"MALICIOUS"
"MALICIOUS-BEC"
"SUSPICIOUS"
"SPOOF"
"SPAM"
"BULK"
"ENCRYPTED"
"EXTERNAL"
"UNKNOWN"
"NONE"
status?: string | null
subject?: string | null
type?: string | null

Get reclassify submissions

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const submissionListResponse of client.emailSecurity.submissions.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(submissionListResponse.submission_id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "requested_ts": "2019-12-27T18:11:19.117Z",
      "submission_id": "submission_id",
      "customer_status": "escalated",
      "escalated_as": "MALICIOUS",
      "escalated_at": "2019-12-27T18:11:19.117Z",
      "escalated_by": "escalated_by",
      "escalated_submission_id": "escalated_submission_id",
      "original_disposition": "MALICIOUS",
      "original_edf_hash": "original_edf_hash",
      "original_postfix_id": "original_postfix_id",
      "outcome": "outcome",
      "outcome_disposition": "MALICIOUS",
      "requested_at": "2019-12-27T18:11:19.117Z",
      "requested_by": "requested_by",
      "requested_disposition": "MALICIOUS",
      "status": "status",
      "subject": "subject",
      "type": "type"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "requested_ts": "2019-12-27T18:11:19.117Z",
      "submission_id": "submission_id",
      "customer_status": "escalated",
      "escalated_as": "MALICIOUS",
      "escalated_at": "2019-12-27T18:11:19.117Z",
      "escalated_by": "escalated_by",
      "escalated_submission_id": "escalated_submission_id",
      "original_disposition": "MALICIOUS",
      "original_edf_hash": "original_edf_hash",
      "original_postfix_id": "original_postfix_id",
      "outcome": "outcome",
      "outcome_disposition": "MALICIOUS",
      "requested_at": "2019-12-27T18:11:19.117Z",
      "requested_by": "requested_by",
      "requested_disposition": "MALICIOUS",
      "status": "status",
      "subject": "subject",
      "type": "type"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  },
  "success": true
}